Name:           gaztronics
Version:        9
Release:        0
Summary:        Gaztronics Extra Packages for Enterprise Linux repository configuration

Group:          System Environment/Base
License:        GPLv2

URL:            http://epel.gaztronics.net/
Source0:        http://epel.gaztronics.net/RPM-GPG-KEY-gaztronics
Source1:        GPL
Source2:        gaztronics.repo

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
Requires:      redhat-release >=  %{version}
Conflicts:     fedora-release

%description
This package contains the Gaztronics Extra Packages for Enterprise Linux (EPEL) repository rpms that are not available from the Fedora EPEL project,
plus my GPG signing key.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build


%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-gaztronics

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun


%files
%defattr(-,root,root,-)
%doc GPL
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*


%changelog
* Thu Jun 6 2024 <epel@gaztronics.net> - 9.0
- Build for Rocky Linux 9
